<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset='utf-8'>
		<meta http-equiv="X-UA-Compatible" content="chrome=1">
		<meta name="twitter:card" content="summary"/>
		<meta name="twitter:title" content="zotan.pw"/>
		<meta name="twitter:description" content="Website of a queer software, systems, and network engineer."/>
		<link rel="stylesheet" href="/style.css">
		<title>zotan.pw</title>
	</head>
	<body>
		<header>
			<div class="container">
				<h1><a href="/">zotan.pw</a></h1>
					<h2 style="margin-bottom: 0px;">Welcome internet user.</h2>
			</div>
		</header>
		<div class="container">
			<section id="main_content">
			<h1 id="about">About me</h1>
			<p>Hey there, I'm <span style="color: #D291BC;">Laura</span> (~<span style="color: #957DAD">zotan</span>, she/they), and I'm a queer, anarchist & antifascist network engineer, system administrator and software developer.</p>
			<p>You can find me in hackerspaces across Germany, primarily in Berlin, Munich and Karlsruhe. <?php echo file_get_contents("travelynx.txt") ?></p>
			<p>Here you can find my contact info, crypto keys, projects, and a few links.</p>
			<?php if(strpos($_SERVER['REMOTE_ADDR'], ':') === false && $_SERVER['HTTP_HOST'] === "zotan.pw"): ?>
				<p>Many of my services are IPv6-only, and more are soon to follow. Your browser preferred IPv4 while connecting to this website, so please <a href="https://ip6.biz" target="_blank">check your connection</a> for IPv6 support before contacting me if your browser displays a network error.</p>
			<?php endif; ?>
			<h2 id="contact">Contact</h1>
			<p>You can contact me via the following services:</p>
			<ul>
				<li><strong>Telegram:</strong> <a href="https://t.me/zotan" target="_blank">@zotan</a></li>
				<li><strong>Threema:&nbsp;</strong> <a href="https://threema.id/S59S9U8J" target="_blank">S59S9U8J</a></li>
				<li><strong>Matrix:&nbsp;&nbsp;</strong> <a href="https://matrix.to/#/@zotan:161.rocks" target="_blank">@zotan:161.rocks</a></li>
				<li><strong>Email:&nbsp;&nbsp;&nbsp;</strong> <a href="mailto:zotan@zotan.pw" target="_blank">zotan@zotan.pw</a> (for GPG see below)<br />
				</li>
			</ul>
			<h2 id="social">Profiles</h2>
			<ul>
				<li><a href="/blog">Blog</a></li>
				<li><a href="https://estrogen.network/@zotan" target="_blank">Fediverse</a></li>
				<li><a href="https://chaos.stream/profile/zotan" target="_blank">Live streaming</a> (occasional gaming and photo editing streams)</li>
			</ul>
			<ul>
				<li><a href="https://git.ztn.sh/zotan" target="_blank">Gitea</a></li>
				<li><a href="https://github.com/zotanmew" target="_blank">GitHub</a></li>
			</ul>
			<h2 id="links">Network</h2>
			<ul>
				<li><a href="https://status.zotan.network" target="_blank">Network status</a></li>
				<li><a href="https://status.zotan.services" target="_blank">Service status</a></li>
				<li><a href="https://vnstat.zotan.services" target="_blank">Network load</a></li>
			</ul>
			<h2 id="photo">Photography</h2>
			<ul>
				<li><a href="https://zotan.photos" target="_blank">Portfolio</a> (my favourite shots)</li>
				<li><a href="https://t.me/photolaura" target="_blank">Main photo channel</a> (all of my photos)</li>
				<li><a href="https://t.me/photolaura_nofood" target="_blank">Secondary photo channel</a> (all of my photos that don't contain food)</li>
			</ul>
			<h2 id="projects-net">Projects - Networking</h2>
			<ul>
				<li><a href="https://zotan.network" target="_blank">AS211579</a> ~ zotan experimental networks</li>
			</ul>
			<h2 id="projects-web">Projects - Webservices</h2>
			<ul>
				<li><a href="https://chaos.stream" target="_blank">chaos.stream</a> - a chaos-community centric live streaming platform</li>
				<li><a href="https://c3stream.de" target="_blank">c3stream.de</a> &nbsp;- a media.ccc.de mirror with added functionality</li>
				<li><a href="https://ip6.biz" target="_blank">ip6.biz</a> &nbsp;&nbsp;&nbsp;&nbsp; - IPv6 (and IPv4) address info and connection test</li>
			</ul>
			<ul>
				<li><a href="https://hc.ztn.sh" target="_blank">Healthchecks.io instance</a> (free, open signups)</li>
				<li><a href="https://transit.ztn.sh" target="_blank">Öffisearch instance</a></li>
				<li><a href="https://paste.ztn.sh" target="_blank">PrivateBin instance</a></li>
				<li><a href="https://t.ztn.sh" target="_blank">Nitter instance</a></li>
				<li><a href="https://meet.ztn.sh" target="_blank">Jitsi instance</a></li>
			</ul>
			<h2 id="projects-soft">Projects - Software</h2>
			<ul>
				<li><a href="https://git.ztn.sh/zotan/nginx-mod-rtmp" target="_blank">nginx-mod-rtmp</a> - fork of the original with fixed bugs and added functionality</li>
				<li><a href="https://git.ztn.sh/zotan/rtmpdash" target="_blank">RTMPdash</a> - the software powering <a href="https://chaos.stream">chaos.stream</a></li>
				<li><a href="https://git.ztn.sh/zotan/ip6.biz" target="_blank">ip6.biz</a> &nbsp;- the source code for the IPv6 toolbox mentioned above</li>
				<li><a href="https://git.ztn.sh/zotan/monithor" target="_blank">monithor</a> - alerting and status page generator for InfluxDB</li>
				<li><a href="https://git.ztn.sh/zotan/webmusic" target="_blank">webmusic</a> - a simple web player for your music</li>
				<li><a href="https://git.ztn.sh/zotan/trainav" target="_blank">trainav</a> &nbsp;- experimental train journey planner</li>
				<li><a href="https://git.ztn.sh/zotan/repomgr" target="_blank">repomgr</a> &nbsp;- experimental AUR buildserver and repo manager</li>
				<li><a href="https://git.ztn.sh/zotan/autotag" target="_blank">autotag</a> &nbsp;- experimental music tag normalizer</li>
				<li><a href="https://git.ztn.sh/zotan/mediamanager" target="_blank">mediamanager</a> - experimental media tracker</li>
			</ul>
			<h2 id="projects-hard">Projects - Hardware</h2>
			<ul>
				<li><a href="https://git.ztn.sh/zotan/esp32-co2-mhz19b" target="_blank">esp32-co2-mhz19b</a> - ESP32-based CO2 monitoring setup</li>
			</ul>
            <h2 id="papers">Papers</h2>
            <ul>
                <li>2019 - Comparison of music streaming services’ encryption concepts <a href="/files/StreamingCrypto.pdf" target="_blank">Download</a></li>
                <li>2020 - Programming a modular Smart-Home-System (prescientific paper) <a href="/files/SmartHome.pdf" target="_blank">Download</a></li>
            </ul>
			<h2 id="crypto">Crypto</h2>
			<p>I use the following GPG keys:</p>
			<ul>
				<li><strong>Primary (ECC):</strong> F8A5 DAC0 0E43 5119 2089 42F9 D044 E84C 5BE0 1605 <a href="/files/primary.gpg">Pubkey</a></li>
			</ul>
		</div>
		<center>
			Source code (commits are GPG-signed): <a href="https://git.ztn.sh/zotan/zotan.pw-web-legacy" target="_blank">Gitea</a>
			<p style="color: #666666">----- This request was served by <?php echo gethostname() ?> in <?php echo(round((microtime(true) - $_SERVER["REQUEST_TIME_FLOAT"])*1000, 2)) ?> ms -----</p>
			<img src="/files/help.svg" height=450rem title="Designed by someone I love, ~fr2">
		</center>
	</body>
</html>
